Page 1 of 1

Cannot run React Ultima Premium v.1.4.1 - nanoScroller is not a function

Posted: 09 Feb 2018, 17:39
by jeconstantin
Hello !
I did the following operations:
- unzip ultima-react-1.4.1.zip
- yarn install
-yarn run build
-yarn run start
-opened the browser in localhost:3000
--> error in AppRightPanel.js: (chrome and ie)

Code: Select all

TypeError: __WEBPACK_IMPORTED_MODULE_3_jquery___default(...)(...).nanoScroller is not a function

componentDidMount() {
> 19 |     jQuery(this.rightPanelMenuScroller).nanoScroller({flash:true});
  20 | }
  21 | 
Si I commented all nanoScoller lines in App.js and ApprightPanel.js and it worked but the scroll doesn't appear anymore.

Code: Select all

AppRightPanel.js:19 Uncaught TypeError: __WEBPACK_IMPORTED_MODULE_3_jquery___default(...)(...).nanoScroller is not a function
    at AppRightPanel.componentDidMount (AppRightPanel.js:19)
    at ReactCompositeComponent.js:264
    at measureLifeCyclePerf (ReactCompositeComponent.js:75)
    at ReactCompositeComponent.js:263
    at CallbackQueue.notifyAll (CallbackQueue.js:76)
    at ReactReconcileTransaction.close (ReactReconcileTransaction.js:80)
    at ReactReconcileTransaction.closeAll (Transaction.js:209)
    at ReactReconcileTransaction.perform (Transaction.js:156)
    at batchedMountComponentIntoNode (ReactMount.js:126)
    at ReactDefaultBatchingStrategyTransaction.perform (Transaction.js:143)
    at Object.batchedUpdates (ReactDefaultBatchingStrategy.js:62)
    at Object.batchedUpdates (ReactUpdates.js:97)
    at Object._renderNewRootComponent (ReactMount.js:319)
    at Object._renderSubtreeIntoContainer (ReactMount.js:401)
    at Object.render (ReactMount.js:422)
    at Object../src/index.js (index.js:8)
    at __webpack_require__ (bootstrap ee7c544897d93202bedf:669)
    at fn (bootstrap ee7c544897d93202bedf:87)
    at Object.0 (NodeService.js:3)
    at __webpack_require__ (bootstrap ee7c544897d93202bedf:669)
    at bootstrap ee7c544897d93202bedf:715
    at bundle.js:719
What's going on? :)

Re: Cannot run React Ultima Premium v.1.4.1 - nanoScroller is not a function

Posted: 12 Feb 2018, 07:25
by aragorn
I'll check and get back to you.

Re: Cannot run React Ultima Premium v.1.4.1 - nanoScroller is not a function

Posted: 12 Feb 2018, 13:14
by aragorn
Could you please try it with npm instead of yarn?

Re: Cannot run React Ultima Premium v.1.4.1 - nanoScroller is not a function

Posted: 12 Feb 2018, 18:27
by jeconstantin
aragorn wrote:
12 Feb 2018, 13:14
Could you please try it with npm instead of yarn?
It works with npm (but it doesn't work with yarn), thanks!

Re: Cannot run React Ultima Premium v.1.4.1 - nanoScroller is not a function

Posted: 14 Feb 2018, 13:45
by aragorn
I'm not sure but this issue may be related to nanoScroller API. We'll remove this API from our PrimeReact layouts and use https://www.primefaces.org/primereact/#/scrollpanel instead of it on next layout release.

Regards,